function x = autodiff(v,d=0)
	if nargin >= 1 && isa(v,'autodiff') && d == 0
		x = v;
	elseif nargin > 0
		x = struct();
		x.val = v;
		x.diff = d;
		x = class(x,'autodiff');
	else
		print_usage autodiff;
	end
end
