function r = mpower(x,y)
	x = autodiff(x,0);
	y = autodiff(y,0);
	if y.diff == 0
		r = autodiff(x.val ^ y.val, y.val * x.val ^ (y.val - 1) * x.diff);
	else
		r = autodiff(x.val ^ y.val, x.val ^ y.val * (y.val * x.diff / x.val + y.diff * log(x.val)));
	end
end
